local uci = require "luci.model.uci".cursor()
local ds = require "luci.dispatcher"
local sys = require "luci.sys"

m = Map("sms", "SMS Servies", "")

s1 = m:section(TypedSection, "sms-reboot", "SMS Reboot")
s1.addremove = false
s1.anonymous = true

keyword = s1:option(Value, "keyword", translate("Keyword"), translate("SMS Keyword to reboot the device"))
keyword.datatype = "string"

authorization = s1:option(Flag, "authorization", translate("Authorization"), translate("Allow only authorized numbers to reboot the device"))
authorization.datatype = "bool"

authorized_numbers = s1:option(DynamicList, "authorized_numbers", translate("Authorized Numbers"), translate("Enter numbers authorized to reboot the device"))
authorized_numbers.datatype = "string"


s2 = m:section(TypedSection, "sms-to-tcp-forward", "SMS To TCP Forward")
s2.addremove = false
s2.anonymous = true

server = s2:option(Value, "server", translate("Server IP address"))
server.datatype = "ip4addr"

port = s2:option(Value, "port", translate("Port"))
port.datatype = "port"
port.default = "23"

authorization = s2:option(Flag, "authorization", translate("Authorization"), translate("Allow only authorized numbers to reboot the device"))
authorization.datatype = "bool"

authorized_numbers = s2:option(DynamicList, "authorized_numbers", translate("Authorized Numbers"), translate("Enter numbers authorized to reboot the device"))
authorized_numbers.datatype = "string"

return m
